/*
 * This program is Copyright 1998 by Henry Cohen commercial rights are reserved.
 * The program is provided as is with no warranties of any sort including 
 * fitness for any purpose.  In no case will the author be held liable for
 * damages related to the use of this program.

 * The author hereby grants rights to use, copy, modify and create derived
 * products for individual, non-commercial purposes provided a copy of this
 * notice is included.  Any commercial use requires the written approval of 
 * the author.
 * Henry Cohen 1998.
 */

package jdic;

class Substitute {
    // Constants
    static final byte DARK_LIGHT = 1;
    static final byte LIGHT_DARK = 2;
    
    // Fields
    char original;
    char substitute;
    RealRect light, dark;
    byte order;

    // Constructor
    public Substitute (char original, char substitute, 
		       RealRect light, RealRect dark, byte order) {
	this.original = original;
	this.substitute = substitute;
	this.light = light;
	this.dark = dark;
	this.order = order;
    }
}
